import javax.swing.SwingUtilities;
import java.awt.BorderLayout;
import java.awt.Graphics;
import java.awt.Image;
import javax.swing.text.*;

import javax.swing.ImageIcon;
import javax.swing.JPanel;
import javax.swing.JFrame;
import java.awt.Dimension;
import javax.swing.JTextField;
import java.awt.Rectangle;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.RandomAccessFile;
import java.util.Properties;

import javax.swing.JLabel;
import javax.swing.JButton;
import java.io.*;
import java.util.*;
import java.sql.*;
import java.net.*;

import javax.swing.table.AbstractTableModel;
import javax.swing.*;
import java.awt.GridBagLayout;
import java.awt.Color;
import java.awt.Font;
import java.awt.event.KeyEvent;
import javax.swing.border.Border;
import javax.swing.border.EtchedBorder;
import java.awt.Point;
import javax.swing.SwingConstants;
import java.awt.Toolkit;

public class TimeReader extends JFrame {
	RandomAccessFile prfileFile;  //  @jve:decl-index=0:
	static byte[] buffer = new byte[16];
	static String track[]={"Losail","Jerez","Estoril","Shangai","Lemans","Mugello","Catalunya","Doninghton"
		                   ,"Assen","Sachsering","Lacunaseca","Brno","Misano","Indianapolis","Motegi","Philipisland"
		                   ,"Sepang","Valencia"};  //  @jve:decl-index=0:
	
	static int addrss[]={0x540f0/*losail*/,0x56c48/*jerez*/,0x597a0/*estoril*/,0x5c2f8/*shangai*/
		                 ,0x5ee50/*lemans*/,0x619a8/*mugello*/,0x64500/*catalunya*/,0x67058/*donindghton*/
		                 ,0x69bb0/*assen*/,0x6c708/*sachsering*/,0x6f260/*lacuna seca*/,0x71db8/*brno*/
		                 ,0x74910/*misano*/,0x77468/*indianapolis*/,0x79fc0/*motegi*/,0x7cb18/*philip*/
		                 ,0x7f670/*sepang*/,0x821c8/*valencia*/};
	static int timeTable[][]={/*0*/{0,31,63,94,125,156,188,219,250,281,313,344,375,406,438,469},
			           /*1*/{0,31,63,94,125,156,188,219,250,281,313,344,375,406,438,469},
			           /*2*/{0,31,63,94,125,156,188,219,250,281,313,344,375,406,438,469},
			           /*3*/{0,32,63,94,125,157,188,219,250,282,313,344,375,407,438,469},
			           /*4*/{0,32,63,94,125,157,188,219,250,282,313,344,375,407,438,469},
			           /*5*/{0,32,63,94,126,157,188,219,250,282,313,344,376,407,438,469},
			           /*6*/{1,32,63,95,126,157,188,220,251,282,313,345,376,407,438,470},
			           /*7*/{1,32,63,95,126,157,188,220,251,282,313,345,376,407,438,470},
			           /*8*/{1,32,64,95,126,157,189,220,251,282,314,345,376,407,439,470},
			           /*9*/{1,32,64,95,126,157,189,220,251,282,314,345,376,407,439,470},			           
			           /*a*/{1,33,64,95,126,158,189,220,251,283,314,345,376,408,439,470},
			           /*b*/{1,33,64,95,126,158,189,220,251,283,314,345,376,408,439,470},			           
			           /*c*/{1,33,64,95,126,158,189,220,251,283,314,345,376,408,439,470},
			           /*d*/{2,33,64,95,127,158,189,220,252,283,314,345,377,408,439,470},
			           /*e*/{2,33,64,95,127,158,189,220,252,283,314,345,377,408,439,470},
			           /*f*/{2,33,64,96,127,158,189,221,252,283,314,345,377,408,439,471},};

	String parameter;  //  @jve:decl-index=0:
	String userPassw;  //  @jve:decl-index=0:

	private static final long serialVersionUID = 1L;

	/*private JPanel jContentPane = null;*/
	private ImagePanel jContentPane = null;

	private JTextField jTextField = null;

	private JTextField jTextField1 = null;

	private JLabel jLabel = null;

	private JLabel jLabel1 = null;

	private JButton jButton = null;

	private JButton jButton1 = null;

	private JLabel jLabel3 = null;
	private JLabel jLabelLosail = null;
	private JLabel jLabelJerez = null;
	private JLabel jLabelEstoril = null;
	private JLabel jLabelShangai = null;
	private JLabel jLabelLemans = null;
	private JLabel jLabelMugello = null;
	private JLabel jLabelCatalunya = null;
	private JLabel jLabelDoninghton = null;
	private JLabel jLabelAssen = null;
	private JLabel jLabelSachsering = null;
	private JLabel jLabelLagunaSeca = null;
	private JLabel jLabelBrno = null;
	private JLabel jLabelMisano = null;
	private JLabel jLabelIndianapolis = null;
	private JLabel jLabelMotegi = null;
	private JLabel jLabelPhilip = null;
	private JLabel jLabelSepang = null;
	private JLabel jLabelValencia = null;
	private JLabel jLabelTotale = null;
	private JLabel jLabel2 = null;
	private JLabel jLabel21 = null;
	private JLabel jLabel22 = null;
	private JLabel jLabel221 = null;
	private JLabel jLabel222 = null;
	private JLabel jLabel223 = null;
	private JLabel jLabel224 = null;
	private JLabel jLabel225 = null;
	private JLabel jLabel226 = null;
	private JLabel jLabel227 = null;
	private JLabel jLabel228 = null;
	private JLabel jLabel229 = null;
	private JLabel jLabel2210 = null;
	private JLabel jLabel2211 = null;
	private JLabel jLabel2212 = null;
	private JLabel jLabel2213 = null;
	private JLabel jLabel2214 = null;
	private JLabel jLabel2215 = null;
	private JLabel Total = null;
	private JLabel jLabel22151 = null;
	private /*JPanel*/ImagePanel jPanelLogo = null;
	private JTextField jTextField2 = null;
	private JLabel jLabelntionality = null;
	/**
	 * This method initializes jTextField	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextField() {
		if (jTextField == null) {
			jTextField = new JTextField();
			jTextField.setBounds(new Rectangle(203, 59, 107, 18));
			jTextField.setDocument
             (new JTextFieldLimit(20));
		}
		return jTextField;
	}

	/**
	 * This method initializes jTextField1	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextField1() {
		if (jTextField1 == null) {
			jTextField1 = new JTextField();
			jTextField1.setBounds(new Rectangle(203, 119, 103, 20));
			jTextField1.setDocument
                        (new JTextFieldLimit(20));
		}
		return jTextField1;
	}

	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setBounds(new Rectangle(6, 439, 288, 21));
			jButton.setText("SEND TIME");
			jButton.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					System.out.println("actionPerformed()"); // TODO Auto-generated Event stub mouseClicked()
					
					try{
						prfileFile.seek(0);
						prfileFile.writeBytes(jTextField.getText());
						prfileFile.writeBytes("\n");
						prfileFile.writeBytes(jTextField1.getText());
						prfileFile.writeBytes("\n");
						prfileFile.writeBytes(jTextField2.getText());
						GregorianCalendar gc = new GregorianCalendar();
						int anno = gc.get(Calendar.YEAR);
						int mese = gc.get(Calendar.MONTH) + 1;
						int giorno = gc.get(Calendar.DATE);
						userPassw="?Player="+jTextField.getText()+"&Password="+jTextField1.getText()+"&Nationality="+jTextField2.getText()+"&Version=1.1"+"&Giorno="+giorno+"&Mese="+mese+"&Anno="+anno;
						userPassw=userPassw.replace(" ", "%20")+parameter;
						
						URLRead(userPassw);
						}
						 catch (Exception b)
						{
							
						}
				}
			});
		}

		return jButton;
	}

	/**
	 * This method initializes jButton1	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButton1() {
		if (jButton1 == null) {
			jButton1 = new JButton();
			jButton1.setBounds(new Rectangle(206, 407, 88, 20));
			jButton1.setText("CANCEL");
			jButton1.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					System.out.println("actionPerformed()"); // TODO Auto-generated Event stub actionPerformed()
					System.exit(0);
				}
			});
		}
		
		
		
		return jButton1;
	}

	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */

	/**
	 * This method initializes jPanelLogo	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanelLogo() {
		if (jPanelLogo == null) {
			URL url = ClassLoader.getSystemResource("image/logoL.jpg");
			jPanelLogo = new ImagePanel(new ImageIcon(url).getImage());
			/*jPanelLogo = new ImagePanel(new ImageIcon("h:/MOTOGP/logoL.jpg").getImage());*/
			jPanelLogo.setLayout(null);
			jPanelLogo.setPreferredSize(new Dimension(800, 410));
			jPanelLogo.setSize(new Dimension(110, 60));
			jPanelLogo.setLocation(new Point(204, 315));
		}
		return jPanelLogo;
	}

	/**
	 * This method initializes jTextField2	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextField2() {
		if (jTextField2 == null) {
			jTextField2 = new JTextField();
			jTextField2.setBounds(new Rectangle(262, 175, 39, 18));
			jTextField2.setDocument
                        (new JTextFieldLimit(3));
		}
		return jTextField2;
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO Auto-generated method stub
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {


				TimeReader thisClass = new TimeReader();

				URL url = ClassLoader.getSystemResource("image/backGround.jpg");
				ImagePanel panel = new ImagePanel(new ImageIcon(url).getImage());

				/*ImagePanel panel = new ImagePanel(new ImageIcon("image/backGround.jpg").getImage());*/
				thisClass.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
				thisClass.getContentPane().add(panel);
				/*thisClass.pack();*/
				thisClass.setVisible(true);
			}
		});
	}

	/**
	 * This is the default constructor
	 */
	public TimeReader() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		float sec,min,cent,totMin,totSec,totCent;
		float tmpTot;
		int tmp;
		int rowI,lineI;
		byte line;
		this.setSize(333, 511);
		this.setIconImage(Toolkit.getDefaultToolkit().getImage("image/RICANLQ89LCA2Q68AMCA8PWAZMCAAEK1KHCAVF04BQCATABI4UCA4D3T2QCAZ8J3GQCARYTEYPCA1DWYSICAU4NT2VCAB5LU9ICAASPYZ3CA1LMXXZCA2P290DCAALQG20CAZ8NJQPCAZ4TULHCAP51DLY.jpg"));
		this.setContentPane(getJContentPane());
		this.setTitle("TIME RECORDER GP8 V1.1");
		parameter= new String();
		userPassw= new String();
		
		/*parameter+="?Player=Guyver%20-=ITA=-&Password=stefano75";*/

		
		/*Query1(1);
		MysqlConnect();*/
		String[] strOut = new String[130];
		totMin=totSec=totCent=0;
		
		String Player="",Key="",Nationality="";
		try{
		prfileFile = new RandomAccessFile(".\\profile.txt", "rw");
		}
		catch (Exception e)
		{
		}
		try{
		Player=prfileFile.readLine();
		}
		catch (Exception e)
		{
		}
		/*Player=buffer.toString();*/
		try{
		Key=prfileFile.readLine();
		}
		catch (Exception e)
		{
		}
		try{
		Nationality=prfileFile.readLine();
		}
		catch (Exception e)
		{
		}		
		
		/*Key=buffer.toString();*/
		jTextField.setText(Player);
		jTextField1.setText(Key);
		jTextField2.setText(Nationality);

	try{
	
		
		Properties p=System.getProperties();
		String username = System.getenv("APPDATA");
		username+="\\Capcom\\MotoGP08\\Saves\\4051710650\\savedata.dat";
	    RandomAccessFile file = new RandomAccessFile(username/*"d:/savedata.dat"*/, "r");
	    
	    for(int i=0;i<18;i++)
	    {
	   
	    /*LOSAIL*/
    	tmpTot=sec=min=cent=0;
	    file.seek(addrss[i]);
	    file.read(buffer);
	    
	    if(! (buffer[0] ==0 &&buffer[1] ==0 &&buffer[2] ==-128 && buffer[3] ==-65 && buffer[4] ==-1 && buffer[5] ==-1 &&  buffer[6] ==-1 && buffer[7] ==-1 && buffer[8] ==-1 &&
	    		buffer[9] ==-1 && buffer[10]==  0 && buffer[11]==  0 && buffer[12]==0 && buffer[13]== 0 && buffer[14]==0 && buffer[15]==0))  
	      {
	      /*ok valori validi*/
	      parameter+="&";	
	      sec=(buffer.clone()[2] & 0xff)/2;
          if( ((buffer.clone()[2] & 0xff)%2) != 0)
	    	 cent+=500;
	      if(sec>59)
	        {
	        min=1;
	        sec-=60;
	        }
 
	      rowI = (buffer.clone()[0] & 0xff)>>4;
	      tmp = (buffer.clone()[1] & 0xff);
	      lineI= tmp>>4;
	      cent += timeTable[rowI][lineI];
	      tmp&=0x0f;
	      cent+=(tmp*2);
	      /*System.out.println(track[i] +min+","+sec+"."+cent);*/
  	      }
	    else
	    {/*valore invalido*/
	    	
	    	
	    }
	      strOut[i]=(int)min+","+(int)sec+"."+(int)cent/*+" \n"+stringToHex(buffer.toString())+"h"*/;
	      totMin+=min;
	      totSec+=sec;
	      totCent+=cent;
	      tmpTot= (float)((min*100)+(sec)+(cent*0.001));
	      if(! (buffer[0] ==0 &&buffer[1] ==0 &&buffer[2] ==-128 && buffer[3] ==-65 && buffer[4] ==-1 && buffer[5] ==-1 &&  buffer[6] ==-1 && buffer[7] ==-1 && buffer[8] ==-1 &&
		    		buffer[9] ==-1 && buffer[10]==  0 && buffer[11]==  0 && buffer[12]==0 && buffer[13]== 0 && buffer[14]==0 && buffer[15]==0))  
	          parameter+=track[i]+"="+tmpTot;
	    }
	    
	    file.close();
	    
	    while(totCent>999)
	    {
	    totSec+=1;
	    totCent-=1000;
	    }
	    while(totSec>59)
	    {
	    totMin+=1;
	    totSec-=60;
	    }
	    tmpTot= (float)((totMin*100)+(totSec)+(totCent*0.001));
	    String strTot=(int)totMin+","+(int)totSec+"."+(int)totCent;
	    parameter+="&Totale="+tmpTot;
	    String output=strOut[0]+"\n"+strOut[1]+"\n"+strOut[2]
	                                 	                  +"\n"+strOut[3]+"\n"+strOut[4]+"\n"+strOut[5]+"\n"+strOut[6]
	                                 	                  +"\n"+strOut[7]+"\n"+strOut[8]+"\n"+strOut[9]+"\n"+strOut[10]
	                                 	                  +"\n"+strOut[11]+"\n"+strOut[12]+"\n"+strOut[13]+"\n"+strOut[14]
	                                 	                  +"\n"+strOut[15]+"\n"+strOut[16]+"\n"+strOut[17]+"\n\n By Guyver -=ITA=- http://clan-ita.forumattivo.com/forum.htm";
	    
	    
	    
	    Border blackline, raisedetched, loweredetched,
        raisedbevel, loweredbevel, empty;

 //A border that puts 10 extra pixels at the sides and
 //bottom of each pane.
 Border paneEdge = BorderFactory.createEmptyBorder(0,10,10,10);

 blackline = BorderFactory.createLineBorder(Color.black);
 raisedetched = BorderFactory.createEtchedBorder(EtchedBorder.RAISED);
 loweredetched = BorderFactory.createEtchedBorder(EtchedBorder.LOWERED);
 raisedbevel = BorderFactory.createRaisedBevelBorder();
 loweredbevel = BorderFactory.createLoweredBevelBorder();
 empty = BorderFactory.createEmptyBorder();

	    
	    jLabelLosail.setText(strOut[0]);
	    jLabelLosail.setOpaque(true);
	    jLabelLosail.setBorder(raisedetched);
	    
	    jLabel2.setOpaque(true);
	    jLabel2.setBorder(raisedetched);
	    
	    jLabelJerez.setText(strOut[1]);
	    jLabelJerez.setOpaque(true);
	    jLabelJerez.setBorder(raisedetched);
	    
	    jLabelEstoril.setText(strOut[2]);
	    jLabelEstoril.setOpaque(true);
	    jLabelEstoril.setBorder(raisedetched);
	    
	    
	    jLabelShangai.setText(strOut[3]);
	    jLabelShangai.setOpaque(true);
	    jLabelShangai.setBorder(raisedetched);
	    
	    jLabelLemans.setText(strOut[4]);
	    jLabelLemans.setOpaque(true);
	    jLabelLemans.setBorder(raisedetched);
	    
	    jLabelMugello.setText(strOut[5]);
	    jLabelMugello.setOpaque(true);
	    jLabelMugello.setBorder(raisedetched);
	    
	    jLabelCatalunya.setText(strOut[6]);
	    jLabelCatalunya.setOpaque(true);
	    jLabelCatalunya.setBorder(raisedetched);
	    
	    jLabelDoninghton.setText(strOut[7]);
	    jLabelDoninghton.setOpaque(true);
	    jLabelDoninghton.setBorder(raisedetched);
	    
	    jLabelAssen.setText(strOut[8]);
	    jLabelAssen.setOpaque(true);
	    jLabelAssen.setBorder(raisedetched);
	    
	    jLabelSachsering.setText(strOut[9]);
	    jLabelSachsering.setOpaque(true);
	    jLabelSachsering.setBorder(raisedetched);
	    
	    jLabelLagunaSeca.setText(strOut[10]);
	    jLabelLagunaSeca.setOpaque(true);
	    jLabelLagunaSeca.setBorder(raisedetched);
	    
	    jLabelBrno.setText(strOut[11]);
	    jLabelBrno.setOpaque(true);
	    jLabelBrno.setBorder(raisedetched);
	    
	    jLabelMisano.setText(strOut[12]);
	    jLabelMisano.setOpaque(true);
	    jLabelMisano.setBorder(raisedetched);
	    
	    jLabelIndianapolis.setText(strOut[13]);
	    jLabelIndianapolis.setOpaque(true);
	    jLabelIndianapolis.setBorder(raisedetched);
	    
	    jLabelMotegi.setText(strOut[14]);
	    jLabelMotegi.setOpaque(true);
	    jLabelMotegi.setBorder(raisedetched);
	    
	    jLabelPhilip.setText(strOut[15]);
	    jLabelPhilip.setOpaque(true);
	    jLabelPhilip.setBorder(raisedetched);
	    
	    jLabelSepang.setText(strOut[16]);
	    jLabelSepang.setOpaque(true);
	    jLabelSepang.setBorder(raisedetched);
	    
	    jLabelValencia.setText(strOut[17]);
	    jLabelValencia.setOpaque(true);
	    jLabelValencia.setBorder(raisedetched);
	    
	    jLabelTotale.setText(strTot);
	    jLabelTotale.setOpaque(true);
	    jLabelTotale.setBorder(raisedetched);
	    
	    jLabel2215.setOpaque(true);
	    jLabel2214.setOpaque(true);
	    jLabel2213.setOpaque(true);
	    jLabel2212.setOpaque(true);
	    jLabel2211.setOpaque(true);
	    jLabel2210.setOpaque(true);
	    jLabel229.setOpaque(true);
	    jLabel228.setOpaque(true);
	    jLabel227.setOpaque(true);
	    jLabel226.setOpaque(true);
	    jLabel225.setOpaque(true);
	    jLabel224.setOpaque(true);
	    jLabel223.setOpaque(true);
	    jLabel222.setOpaque(true);
	    jLabel221.setOpaque(true);
	    jLabel22.setOpaque(true);
	    jLabel21.setOpaque(true);
	    jLabel22151.setOpaque(true);
	    
	    jLabel2215.setBorder(raisedetched);
	    jLabel2214.setBorder(raisedetched);
	    jLabel2213.setBorder(raisedetched);
	    jLabel2212.setBorder(raisedetched);
	    jLabel2211.setBorder(raisedetched);
	    jLabel2210.setBorder(raisedetched);
	    jLabel229.setBorder(raisedetched);
	    jLabel228.setBorder(raisedetched);
	    jLabel227.setBorder(raisedetched);
	    jLabel226.setBorder(raisedetched);
	    jLabel225.setBorder(raisedetched);
	    jLabel224.setBorder(raisedetched);
	    jLabel223.setBorder(raisedetched);
	    jLabel222.setBorder(raisedetched);
	    jLabel221.setBorder(raisedetched);
	    jLabel22.setBorder(raisedetched);
	    jLabel21.setBorder(raisedetched);
	    jLabel22151.setBorder(raisedetched);
	    //jLabelTotale.setText(

	    /*jTextPane.setText(output);*/
	    
		
 	}
    catch (Exception e)
	{
		System.err.println("File input error");
	}
	    
	    
	}

	   public static void URLRead(String parameter) throws Exception {
  	    	String myURL = "http://utenti.lycos.it/guyverita/index.php"+parameter;
  	    	
  	    	/*?Player=Guyver%20-=ITA=-&Password=stefano75&Losail=247.9&Jerez=187.6&Estoril=214.5&Shangai=166.0&Lemans=144.0&Mugello=214.8&Catalunya=236.0&Doninghton=203.7&Assen=168.0&Sachsering=167.2&Lacunaseca=135.1&Brno=206.3&Misano=229.6&Indianapolis=136.9&Motegi=147.8&Philipisland=200.0&Sepang=188.0&Valencia=148.1";/*"http://utenti.lycos.it/guyverita/index.php*/

  	    	System.out.println(myURL);
   		URL recorder = new URL(myURL);
   		BufferedReader in = new BufferedReader(
   					new InputStreamReader(
   						recorder.openStream()));

   		String inputLine;

   		while ((inputLine = in.readLine()) != null)
   		    System.out.println(inputLine);
           
   		in.close();
   	    }
	
	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jLabelntionality = new JLabel();
			jLabelntionality.setBounds(new Rectangle(215, 152, 86, 15));
			jLabelntionality.setHorizontalAlignment(SwingConstants.CENTER);
			jLabelntionality.setText("NATIONALITY");
			jLabel22151 = new JLabel();
			jLabel22151.setBounds(new Rectangle(14, 393, 101, 20));
			jLabel22151.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel22151.setText("Total");
			jLabel22151.setBackground(new Color(153, 153, 153));
			jLabel2 = new JLabel();
			jLabel2.setText("Losail");
			jLabel2.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel2.setDisplayedMnemonic(KeyEvent.VK_WINDOWS);
			jLabel2.setBounds(new Rectangle(14, 14, 101, 20));
			jLabel2.setBackground(new Color(153, 153, 153));
			jLabelTotale = new JLabel();
			jLabelTotale.setText("JLabel");
			jLabelTotale.setBackground(new Color(153, 153, 153));
			jLabelTotale.setForeground(Color.white);
			jLabelTotale.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelTotale.setBounds(new Rectangle(116, 392, 80, 20));
			jLabelValencia = new JLabel();
			jLabelValencia.setText("JLabel");
			jLabelValencia.setBackground(new Color(153, 153, 153));
			jLabelValencia.setForeground(Color.white);
			jLabelValencia.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelValencia.setBounds(new Rectangle(116, 371, 80, 20));
			jLabelSepang = new JLabel();
			jLabelSepang.setText("JLabel");
			jLabelSepang.setBackground(new Color(153, 153, 153));
			jLabelSepang.setForeground(Color.white);
			jLabelSepang.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelSepang.setBounds(new Rectangle(116, 350, 80, 20));
			jLabelPhilip = new JLabel();
			jLabelPhilip.setText("JLabel");
			jLabelPhilip.setBackground(new Color(153, 153, 153));
			jLabelPhilip.setForeground(Color.white);
			jLabelPhilip.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelPhilip.setBounds(new Rectangle(116, 329, 80, 20));
			jLabelMotegi = new JLabel();
			jLabelMotegi.setText("JLabel");
			jLabelMotegi.setBackground(new Color(153, 153, 153));
			jLabelMotegi.setForeground(Color.white);
			jLabelMotegi.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelMotegi.setBounds(new Rectangle(116, 308, 80, 20));
			jLabelIndianapolis = new JLabel();
			jLabelIndianapolis.setText("JLabel");
			jLabelIndianapolis.setBackground(new Color(153, 153, 153));
			jLabelIndianapolis.setForeground(Color.white);
			jLabelIndianapolis.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelIndianapolis.setBounds(new Rectangle(116, 287, 80, 20));
			jLabelMisano = new JLabel();
			jLabelMisano.setText("JLabel");
			jLabelMisano.setBackground(new Color(153, 153, 153));
			jLabelMisano.setForeground(Color.white);
			jLabelMisano.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelMisano.setBounds(new Rectangle(116, 266, 80, 20));
			jLabelBrno = new JLabel();
			jLabelBrno.setText("JLabel");
			jLabelBrno.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelBrno.setBackground(new Color(153, 153, 153));
			jLabelBrno.setForeground(Color.white);
			jLabelBrno.setBounds(new Rectangle(116, 245, 80, 20));
			jLabelLagunaSeca = new JLabel();
			jLabelLagunaSeca.setText("JLabel");
			jLabelLagunaSeca.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelLagunaSeca.setBackground(new Color(153, 153, 153));
			jLabelLagunaSeca.setForeground(Color.white);
			jLabelLagunaSeca.setBounds(new Rectangle(116, 224, 80, 20));
			jLabelSachsering = new JLabel();
			jLabelSachsering.setText("JLabel");
			jLabelSachsering.setBackground(new Color(153, 153, 153));
			jLabelSachsering.setForeground(Color.white);
			jLabelSachsering.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelSachsering.setBounds(new Rectangle(116, 203, 80, 20));
			jLabelAssen = new JLabel();
			jLabelAssen.setText("JLabel");
			jLabelAssen.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelAssen.setForeground(Color.white);
			jLabelAssen.setBackground(new Color(153, 153, 153));
			jLabelAssen.setBounds(new Rectangle(116, 182, 80, 20));
			jLabelDoninghton = new JLabel();
			jLabelDoninghton.setText("JLabel");
			jLabelDoninghton.setBackground(new Color(153, 153, 153));
			jLabelDoninghton.setForeground(Color.white);
			jLabelDoninghton.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelDoninghton.setBounds(new Rectangle(116, 161, 80, 20));
			jLabelCatalunya = new JLabel();
			jLabelCatalunya.setText("JLabel");
			jLabelCatalunya.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelCatalunya.setBounds(new Rectangle(116, 140, 80, 20));
			jLabelCatalunya.setBackground(new Color(153, 153, 153));
			jLabelCatalunya.setForeground(Color.white);
			jLabelMugello = new JLabel();
			jLabelMugello.setText("JLabel");
			jLabelMugello.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelMugello.setBounds(new Rectangle(116, 119, 80, 20));
			jLabelMugello.setBackground(new Color(153, 153, 153));
			jLabelMugello.setForeground(Color.white);
			jLabelLemans = new JLabel();
			jLabelLemans.setText("JLabel");
			jLabelLemans.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelLemans.setBounds(new Rectangle(116, 98, 80, 20));
			jLabelLemans.setBackground(new Color(153, 153, 153));
			jLabelLemans.setForeground(Color.white);
			jLabelShangai = new JLabel();
			jLabelShangai.setText("JLabel");
			jLabelShangai.setBackground(new Color(153, 153, 153));
			jLabelShangai.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelShangai.setBounds(new Rectangle(116, 77, 80, 20));
			jLabelShangai.setForeground(Color.white);
			jLabelEstoril = new JLabel();
			jLabelEstoril.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelEstoril.setBackground(new Color(153, 153, 153));
			jLabelEstoril.setForeground(Color.white);
			jLabelEstoril.setBounds(new Rectangle(116, 56, 80, 20));
			jLabelEstoril.setText("JLabel");
			jLabelJerez = new JLabel();
			jLabelJerez.setBackground(new Color(153, 153, 153));
			jLabelJerez.setForeground(Color.white);
			jLabelJerez.setBounds(new Rectangle(116, 35, 80, 20));
			jLabelJerez.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelLosail = new JLabel();
			jLabelJerez.setText("JLabel");
			jLabelLosail.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabelLosail.setBounds(new Rectangle(116, 14, 80, 20));
			jLabelLosail.setForeground(Color.white);
			jLabelLosail.setBackground(new Color(153, 153, 153));
			jLabelLosail.setText("JLabel");
			jLabel3 = new JLabel();
			jLabel3.setBounds(new Rectangle(206, 380, 106, 16));
			jLabel3.setForeground(Color.white);
			jLabel3.setBackground(Color.white);
			jLabel3.setText("by Guyver -=ITA=-");
			jLabel1 = new JLabel();
			jLabel1.setBounds(new Rectangle(214, 90, 77, 19));
			jLabel1.setText("         KEY ");
			jLabel = new JLabel();
			jLabel.setBounds(new Rectangle(216, 31, 79, 21));
			jLabel.setText("      PLAYER ");
			jLabel2215 = new JLabel();
			jLabel2215.setText("Valencia");
			jLabel2215.setBounds(new Rectangle(14, 371, 101, 20));
			jLabel2215.setBackground(new Color(153, 153, 153));
			jLabel2215.setFont(new Font("Dialog", Font.BOLD, 14));
			
			jLabel2214 = new JLabel();
			jLabel2214.setText("Sepang");
			jLabel2214.setBounds(new Rectangle(14, 350, 101, 20));
			jLabel2214.setBackground(new Color(153, 153, 153));
			jLabel2214.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel2213 = new JLabel();
			jLabel2213.setText("Philip Island");
			jLabel2213.setBounds(new Rectangle(14, 329, 101, 20));
			jLabel2213.setBackground(new Color(153, 153, 153));
			jLabel2213.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel2212 = new JLabel();
			jLabel2212.setText("Motegi");
			jLabel2212.setBounds(new Rectangle(14, 308, 101, 20));
			jLabel2212.setBackground(new Color(153, 153, 153));
			jLabel2212.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel2211 = new JLabel();
			jLabel2211.setText("Indianapolis");
			jLabel2211.setBounds(new Rectangle(14, 287, 101, 20));
			jLabel2211.setBackground(new Color(153, 153, 153));
			jLabel2211.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel2210 = new JLabel();
			jLabel2210.setText("Misano");
			jLabel2210.setBounds(new Rectangle(14, 266, 101, 20));
			jLabel2210.setBackground(new Color(153, 153, 153));
			jLabel2210.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel229 = new JLabel();
			jLabel229.setText("Brno");
			jLabel229.setBounds(new Rectangle(14, 245, 101, 20));
			jLabel229.setBackground(new Color(153, 153, 153));
			jLabel229.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel228 = new JLabel();
			jLabel228.setText("Laguna Seca");
			jLabel228.setBounds(new Rectangle(14, 224, 101, 20));
			jLabel228.setBackground(new Color(153, 153, 153));
			jLabel228.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel227 = new JLabel();
			jLabel227.setText("Sachsering");
			jLabel227.setBounds(new Rectangle(14, 203, 101, 20));
			jLabel227.setBackground(new Color(153, 153, 153));
			jLabel227.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel226 = new JLabel();
			jLabel226.setText("Assen");
			jLabel226.setBounds(new Rectangle(14, 182, 101, 20));
			jLabel226.setBackground(new Color(153, 153, 153));
			jLabel226.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel225 = new JLabel();
			jLabel225.setText("Doninghton");
			jLabel225.setBounds(new Rectangle(14, 161, 101, 20));
			jLabel225.setBackground(new Color(153, 153, 153));
			jLabel225.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel224 = new JLabel();
			jLabel224.setText("Catalunya");
			jLabel224.setBounds(new Rectangle(14, 140, 101, 20));
			jLabel224.setBackground(new Color(153, 153, 153));
			jLabel224.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel223 = new JLabel();
			jLabel223.setText("Mugello");
			jLabel223.setBounds(new Rectangle(14, 119, 101, 20));
			jLabel223.setBackground(new Color(153, 153, 153));
			jLabel223.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel222 = new JLabel();
			jLabel222.setText("Le Mans");
			jLabel222.setBounds(new Rectangle(14, 98, 101, 20));
			jLabel222.setBackground(new Color(153, 153, 153));
			jLabel222.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel221 = new JLabel();
			jLabel221.setText("Shangai");
			jLabel221.setBounds(new Rectangle(14, 77, 101, 20));
			jLabel221.setBackground(new Color(153, 153, 153));
			jLabel221.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel22 = new JLabel();
			jLabel22.setText("Estoril");
			jLabel22.setBounds(new Rectangle(14, 56, 101, 20));
			jLabel22.setBackground(new Color(153, 153, 153));
			jLabel22.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel21 = new JLabel();
			jLabel21.setText("Jerez");
			
			
			
			jLabel21.setBounds(new Rectangle(14, 35, 101, 20));
			jLabel21.setBackground(new Color(153, 153, 153));
			jLabel21.setFont(new Font("Dialog", Font.BOLD, 14));

			/*jContentPane = new JPanel();*/
			jContentPane = new ImagePanel(new ImageIcon("k:/MOTOGP/backGround.jpg").getImage());
			jContentPane.setLayout(null);
			jContentPane.setForeground(Color.white);
			jContentPane.setBackground(Color.white);
			jContentPane.add(getJTextField(), null);
			jContentPane.add(getJTextField1(), null);
			jContentPane.add(jLabel, null);
			jContentPane.add(jLabel1, null);
			jContentPane.add(getJButton(), null);
			jContentPane.add(getJButton1(), null);
			jContentPane.add(jLabel3, null);
			jContentPane.add(jLabelLosail, null);
			jContentPane.add(jLabel2, null);
			jContentPane.add(jLabel221, null);
			//jContentPane.add(Total, null);
			jContentPane.add(jLabel2215, null);
			jContentPane.add(jLabel2214, null);
			jContentPane.add(jLabel2213, null);
			jContentPane.add(jLabel2212, null);
			jContentPane.add(jLabel2211, null);
			jContentPane.add(jLabel2210, null);
			jContentPane.add(jLabel229, null);
			jContentPane.add(jLabel228, null);
			jContentPane.add(jLabel227, null);
			jContentPane.add(jLabel226, null);
			jContentPane.add(jLabel225, null);
			jContentPane.add(jLabel224, null);
			jContentPane.add(jLabel223, null);
			jContentPane.add(jLabel222, null);
			jContentPane.add(jLabel22, null);
			jContentPane.add(jLabel21, null);
			jContentPane.add(jLabelJerez, null);
			jContentPane.add(jLabelLemans, null);
			jContentPane.add(jLabelShangai, null);
			jContentPane.add(jLabelEstoril, null);
			jContentPane.add(jLabelMugello, null);
			jContentPane.add(jLabelCatalunya, null);
			jContentPane.add(jLabelDoninghton, null);
			jContentPane.add(jLabelAssen, null);
			jContentPane.add(jLabelSachsering, null);
			jContentPane.add(jLabelLagunaSeca, null);
			jContentPane.add(jLabelBrno, null);
			jContentPane.add(jLabelMisano, null);
			jContentPane.add(jLabelIndianapolis, null);
			jContentPane.add(jLabelMotegi, null);
			jContentPane.add(jLabelPhilip, null);
			jContentPane.add(jLabelSepang, null);
			jContentPane.add(jLabelValencia, null);
			jContentPane.add(jLabelTotale, null);
			jContentPane.add(jLabel22151, null);
			jContentPane.add(getJPanelLogo(), null);
			jContentPane.add(getJTextField2(), null);
			jContentPane.add(jLabelntionality, null);
			jContentPane.addPropertyChangeListener("background",
					new java.beans.PropertyChangeListener() {
						public void propertyChange(java.beans.PropertyChangeEvent e) {
							System.out.println("propertyChange(background)"); // TODO Auto-generated property Event stub "background" 
						}
					});
		}
		return jContentPane;
	}

}  //  @jve:decl-index=0:visual-constraint="123,29"


class ImagePanel extends JPanel {

	  private Image img;

	  public ImagePanel(String img) {
	    this(new ImageIcon(img).getImage());
	  }

	  public ImagePanel(Image img) {
	    this.img = img;
	    Dimension size = new Dimension(img.getWidth(null), img.getHeight(null));
	    setPreferredSize(size);
	    setMinimumSize(size);
	    setMaximumSize(size);
	    setSize(size);
	    setLayout(null);
	  }

	  public void paintComponent(Graphics g) {
	    g.drawImage(img, 0, 0, null);
	  }

	}



class JTextFieldLimit extends PlainDocument {
    private int limit;
    // optional uppercase conversion
    private boolean toUppercase = false;
    
    JTextFieldLimit(int limit) {
        super();
        this.limit = limit;
    }
    
    JTextFieldLimit(int limit, boolean upper) {
        super();
        this.limit = limit;
        toUppercase = upper;
    }
    
    public void insertString
            (int offset, String  str, AttributeSet attr)
            throws BadLocationException {
        if (str == null) return;
        
        if ((getLength() + str.length()) <= limit) {
            if (toUppercase) str = str.toUpperCase();
            super.insertString(offset, str, attr);
        }
    }
}
